KDE 4.7 PyKDE API Reference

- KDE's Python API

# HTMLBaseFontElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Base font. See the <a href="http://www.w3.org/TR/REC-html40/present/graphics.html#edef-BASEFONT"> BASEFONT element definition in HTML 4.0. This element is deprecated in HTML 4.0.

## Methods
| __init__ (self)
| __init__ (self, DOM.HTMLBaseFontElement other)
| __init__ (self, DOM.Node other)
DOM.DOMString | color (self)
DOM.DOMString | face (self)
long | getSize (self)
| setColor (self, DOM.DOMString a0)
| setFace (self, DOM.DOMString a0)
| setSize (self, long a0)
| setSize (self, DOM.DOMString a0)
DOM.DOMString | size (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLBaseFontElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString color | ( |  | self ) |

Font color. See the color attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

DOM.DOMString face | ( |  | self ) |

Font face identifier. See the <a href="http://www.w3.org/TR/REC-html40/"> face attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

long getSize | ( |  | self ) |

Computed Font size. See the <a href="http://www.w3.org/TR/REC-html40/present/graphics.html#adef-size-BASEFONT"> size attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

setColor | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see color

setFace | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see face

setSize | ( | self, |
|  | long | a0
| ) |  |  |

Deprecated:

setSize | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

Deprecated:

DOM.DOMString size | ( |  | self ) |

Deprecated: